//Library Includes
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <gccore.h>
#include <wiiuse/wpad.h>
#include <fat.h>
#include <cstdlib>
#include <ctime>
#include <wiisprite.h> // The main libwiisprite header
#include <hbmenuhead.h>
#include "ftimage.h"
#include "font_ttf.h" //Font being used

using namespace wsp; //Libwiisprites namespace
	
	//Prototypes
	void DrawHealth(Sprite *Health, int health);
	void doPadPowerOff( s32 chan );
	int hogansnewalley(Sprite *Aim, Sprite *Health, Sprite *Background, int rumble, int maxtime, int anim, GameWindow *gwd);
	int shooter(Sprite *Aim, Sprite *Health, Sprite *Background, int rumble, int maxtime, int anim, GameWindow *gwd);
